import javax.swing.*;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class OriginView extends JPanel implements ItemListener {
    private Origin originObj;
    private JLabel label;
    private JComboBox<String> comboBox;
    private JLabel continentLabel;

    OriginView(Origin originObj) {
        setOriginObj(originObj);
        this.label = new JLabel();
        this.label.setText("Origin");
        this.comboBox = new JComboBox<>(this.getOriginObj().getCountriesArray());
        this.comboBox.setSelectedItem(this.getOriginObj().getCountry());
        this.comboBox.addItemListener(this);
        this.continentLabel = new JLabel();
        this.continentLabel.setText("(" + this.getOriginObj().getContinent() + ")");
        add(label);
        add(comboBox);
        add(continentLabel);
    }

    public Origin getOriginObj() {
        return originObj;
    }

    public void setOriginObj(Origin originObj) {
        this.originObj = originObj;
    }

    public JComboBox<String> getComboBox() {
        return comboBox;
    }

    @Override
    public void itemStateChanged(ItemEvent event) {
        if (event.getStateChange() == ItemEvent.SELECTED) {
            Object item = event.getItem();
            getOriginObj().setContinent(getOriginObj().getContinentFromCountry(item.toString()));
            this.continentLabel.setText("(" + this.getOriginObj().getContinent() + ")");
        }
    }
}
